Problems using Scan with Ubuntu 18.04

Asked by Sharon Adley on 2020-09-02

I have been using HP Envy 5055 for printing with no problems. However, Simple Scan app doesn't recognize the scanner when I put the device in scan mode. So I downloaded hplip 3.20 and began the installation process. After installing the dependencies, the install program informed me that I already had 3.17 installed. However, I can't locate the executable for this. It doesn't show up in Gnome and I find nothing in bin or snap. Also, the Envy 5055 specifically isn't listed in the supported printers even though several others from the Envy 5000 series are. The 5000 is listed as using 3.17 version. Not sure where I need to go with this. I can locate some files for hplip 3.17 (like config files) but not the executable. I don't know if I should be replacing the 3.17 with 3.20 or troubleshoot the 3.17 installation.

Here's where I stopped.

HPLIP-3.17.10 exists, this may conflict with the new one being installed.
Do you want to ('i'= Remove and Install*, 'q'= Quit)? :q
error: User Exit

Question information

Language:
English Edit question
Status:
Solved
For:
HPLIP Edit question
Assignee:
No assignee Edit question
Solved by:
Sharon Adley
Solved:
2020-09-15
Last query:
2020-09-15
Last reply:
2020-09-14
shivani mandora (shivani1708) said : #1

Hi ,

While installing 3.20.6 driver, you will be asked one option 'i' remove and install. That will automatically remove your old driver.

You do not need to specifically do anything. Instead of ' Quit' select 'i'. That should install the latest driver.

See below option:

HPLIP-3.17.10 exists, this may conflict with the new one being installed.

Do you want to ('i'= Remove and Install*, 'q'= Quit)? : i

Sharon Adley (ska-adley) said : #2

I solved this. I determined that the version of hplip that I needed 3.17.10 was already installed on the laptop. But it didn't seem to be running correctly. There were a couple of dependencies missing, After installing those, the software works just fine.